repo/gentoo:master commit in: dev-python/commonmark/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786031054.b8bd001215445aab2fce63c8a0e4a58440c4e67a.mgorny@gentoo>
commit:     b8bd001215445aab2fce63c8a0e4a58440c4e67a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug  6 15:39:42 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug  6 15:44:14 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b8bd0012

dev-python/commonmark: Run all tests

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/commonmark/commonmark-0.9.2.ebuild | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/dev-python/commonmark/commonmark-0.9.2.ebuild b/dev-python/commonmark/commonmark-0.9.2.ebuild
index 12607535dfbc..ca4ec0d35eee 100644
--- a/dev-python/commonmark/commonmark-0.9.2.ebuild
+++ b/dev-python/commonmark/commonmark-0.9.2.ebuild
@@ -29,6 +29,9 @@ BDEPEND="
 python_test() {
 	local -x PYTHONIOENCODING='utf8'
 	"${EPYTHON}" commonmark/tests/run_spec_tests.py || die
+	"${EPYTHON}" -m unittest -v -b \
+		commonmark.tests.unit_tests \
+		commonmark.tests.rst_tests || die
 }
 
 src_prepare() {
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.